net.i2p.router.transport.udp

## Class UDPPacketReader.SessionCreatedReader

- java.lang.Object
- - net.i2p.router.transport.udp.UDPPacketReader.SessionCreatedReader

- Enclosing class:
    UDPPacketReader

      public class UDPPacketReader.SessionCreatedReader
      extends Object

  Help read the SessionCreated payload

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `Y_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDPPacketReader.SessionCreatedReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readEncryptedSignature(byte[] target, int targetOffset)`
    `void` | `readIP(byte[] target, int targetOffset)` what IP do they think we are coming on?
    `int` | `readIPSize()` sizeof(IP)
    `void` | `readIV(byte[] target, int targetOffset)`
    `int` | `readPort()` what port do they think we are coming from?
    `long` | `readRelayTag()` write out the 4 byte relayAs tag
    `long` | `readSignedOnTime()`
    `void` | `readY(byte[] target, int targetOffset)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Y_LENGTH

          public static final int Y_LENGTH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UDPPacketReader.SessionCreatedReader

          public UDPPacketReader.SessionCreatedReader()

  - ### Method Detail

    - #### readY

          public void readY(byte[] target,
                   int targetOffset)

    - #### readIPSize

          public int readIPSize()

      sizeof(IP)

    - #### readIP

          public void readIP(byte[] target,
                    int targetOffset)

      what IP do they think we are coming on?

    - #### readPort

          public int readPort()

      what port do they think we are coming from?

    - #### readRelayTag

          public long readRelayTag()

      write out the 4 byte relayAs tag

    - #### readSignedOnTime

          public long readSignedOnTime()

    - #### readEncryptedSignature

          public void readEncryptedSignature(byte[] target,
                                    int targetOffset)

    - #### readIV

          public void readIV(byte[] target,
                    int targetOffset)